Asp.Net сбой восстановления Core-dnu на другой машине

Итак, это работает на одном компьютере, но когда я вытаскиваю свой репозиторий на свой ноутбук, я не могу восстановить пакеты.

При запуске dnu restore --ignore-failed-sources --no-cacheнескольких пакетов не удается установить:

Unable to locate Dependency CommandLineParser >= 1.9.71
Unable to locate Dependency RabbitMQ.Client >= 3.6.1
Unable to locate Dependency AutoMapper >= 4.2.1
Unable to locate Dependency EntityFramework.MicrosoftSqlServer.Design >= 7.0.0-rc1-final
Unable to locate Dependency System.Threading.Timer >= 4.0.1-beta-23516
Unable to locate Dependency Microsoft.AspNet.Server.IIS >= 1.0.0-beta7
Unable to locate Dependency Microsoft.AspNet.Server.WebListener >= 1.0.0-rc1-final
Unable to locate Dependency Microsoft.AspNet.TestHost >= 1.0.0-rc1-final
Unable to locate Dependency FluentValidation >= 6.2.1
Unable to locate Dependency Faker.Net >= 1.0.3
Unable to locate Dependency Swashbuckle >= 6.0.0-*
Unable to locate Dependency xunit >= 2.1.0
Unable to locate Dependency xunit.runner.dnx >= 2.1.0-rc1-build204
Unable to locate Dependency Microsoft.AspNet.WebApi.Client >= 5.2.3

и многие другие.

Каналы, которые я пытался использовать:

http://www.nuget.org/api/v2/
http://api.nuget.org/v3/index.json
http://www.myget.org/F/aspnetmaster/api/v3/index.json
http://www.myget.org/F/aspnetmaster/api/v2/

версия:

$ dnu --version
Microsoft .NET Development Utility
 Version:      1.0.0-rc1-16609
 Type:         Clr
 Architecture: x86
 OS Name:      Windows
 OS Version:   6.1
 Runtime Id:   win7-x86

Есть несколько проектов, но вот пакет.json of the worst one:

{
  "version": "1.0.0-*",
  "description": "myApp.test Class Library",
  "authors": [ "jcnance" ],
  "tags": [ "" ],
  "projectUrl": "",
  "licenseUrl": "",

  "frameworks": {
    "dnx451": { }
  },
  "dependencies": {
    "Microsoft.AspNet.Mvc": "6.0.0-rc1-final",
    "Microsoft.AspNet.Server.IIS": "1.0.0-beta7",
    "Microsoft.AspNet.Server.WebListener": "1.0.0-rc1-final",
    "Microsoft.AspNet.StaticFiles": "1.0.0-rc1-final",
    "Microsoft.AspNet.TestHost": "1.0.0-rc1-final",
    "david.adapters.glooko": "1.0.0-*",
    "david.mock.glooko": "1.0.0-*",
    "david.core": "1.0.0-*",
    "david.tests": "1.0.0-*",
    "xunit": "2.1.0",
    "xunit.runner.dnx": "2.1.0-rc1-build204",
    "Newtonsoft.Json": "7.0.1",
    "Microsoft.AspNet.WebApi.Client": "5.2.3"
  },
  "commands": {
    "test": "xunit.runner.dnx"
  }
}

1 ответ